Json::ValueIteratorBase Class Reference

base class for Value iterators. More...

`#include <json.h>`

Inheritance diagram for Json::ValueIteratorBase:
[legend]

## Public Types

typedef unsigned int | size_t
typedef int | difference_type
typedef ValueIteratorBase | SelfType

## Public Member Functions

| ValueIteratorBase (const Value::ObjectValues::iterator &current)
| ValueIteratorBase (const ValueInternalArray::IteratorState &state)
| ValueIteratorBase (const ValueInternalMap::IteratorState &state)
bool | operator== (const SelfType &other) const
bool | operator!= (const SelfType &other) const
difference_type | operator- (const SelfType &other) const
Value | key () const
| Return either the index or the member name of the referenced value as a Value.
UInt | index () const
| Return the index of the referenced Value. -1 if it is not an arrayValue.
const char * | memberName () const
| Return the member name of the referenced Value. "" if it is not an objectValue.

## Protected Member Functions

Value & | deref () const
void | increment ()
void | decrement ()
difference_type | computeDistance (const SelfType &other) const
bool | isEqual (const SelfType &other) const
void | copy (const SelfType &other)

## Detailed Description

base class for Value iterators.

The documentation for this class was generated from the following files:

- json.h
- jsoncpp.cpp